#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	apidocs		# documentation generated with doxygen
#
Summary:	Library to decrypt CSS-encoded DVD
Summary(pl.UTF-8):	Biblioteka do dekodowania DVD zakodowanych CSS
Name:		libdvdcss
Version:	1.3.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://download.videolan.org/pub/videolan/libdvdcss/1.3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	7f0fdb3ff91d638f5e45ed7536f7eb67
Patch0:		%{name}-doc.patch
URL:		http://www.videolan.org/developers/libdvdcss.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	texlive-fonts-cmsuper
BuildRequires:	texlive-fonts-jknappen
BuildRequires:	texlive-latex
BuildRequires:	texlive-latex-extend
BuildRequires:	texlive-latex-psnfss
BuildRequires:	texlive-makeindex
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdvdcss is a simple library designed for accessing DVDs like a block
device without having to bother about the decryption.

%description -l pl.UTF-8
Biblioteka dostarczająca prosty interfejs pozwalający na dostęp do
zakodowanych płyt DVD.

%package devel
Summary:	libdvdcss library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdvdcss
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libdvdcss into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja pozwalająca na dodawanie obsługi
CSS w swoich programach.

%package static
Summary:	libdvdcss static libraries
Summary(pl.UTF-8):	Statyczne biblioteki libdvdcss
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libdvdcss libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libdvdcss.

%package apidocs
Summary:	libdvdcss API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libdvdcss
Group:		Documentation

%description apidocs
libdvdcss API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libdvdcss.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_apidocs:--disable-doc} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libdvdcss

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libdvdcss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdcss.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdvdcss.so
%{_libdir}/libdvdcss.la
%{_includedir}/dvdcss
%{_pkgconfigdir}/libdvdcss.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdvdcss.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libdvdcss.git;a=log;h=master

* Tue Jan 20 2015 Szymon Siwek <sls@pld-linux.org> bd09561
- ver. 1.3.0

* Fri Jul 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 7cffdb2
- updated to 1.2.13

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> a1ec2a4
- updated URL

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 2aa8d41
- updated to 1.2.12

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 9775874
- apidocs BR: texlive-latex-extend, texlive-latex-psnfss

* Sat Jun 05 2010 Szymon Siwek <sls@pld-linux.org> 0666c78
- BR: texlive-fonts-cmsuper

* Sat Jun 05 2010 Szymon Siwek <sls@pld-linux.org> 919013c
- added apidocs subpackage and bcond

* Sun Aug 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 84f779c
- GPL v2+

* Sun Aug 31 2008 Karol Krenski <charles@pld-linux.org> 477df27
- updated License

* Sun Aug 31 2008 Karol Krenski <charles@pld-linux.org> aed98e5
- updated for 1.2.10

* Sun Aug 31 2008 Karol Krenski <charles@pld-linux.org> 5e56822
- updated to 1.2.10

* Mon Aug 18 2008 Marcin Banasiak <marcin.banasiak@gmail.com> e15a872
- added -doc.patch to fix build
- more verbose files
- release 3

* Mon Aug 18 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3ba6193
- build fix

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2aca1d1
- release 2

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 4c0fc48
- s/enviroment/environment/

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dc1fdcb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9368abc
- converted to UTF-8

* Wed Mar 22 2006 Paweł Sikora <pluto@pld-linux.org> ec8b5a8
- BR: tetex-makeindex.

* Tue Mar 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 8073867
- autoheader, ac version

* Tue Mar 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 09d4e89
- strict internal deps

